Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
Retrieve existing custom and default tax rate mappings.
cURL
curl --request GET \ --url https://api.hyperline.co/v1/taxes/rates \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.hyperline.co/v1/taxes/rates" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.hyperline.co/v1/taxes/rates', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.hyperline.co/v1/taxes/rates", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.hyperline.co/v1/taxes/rates" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.hyperline.co/v1/taxes/rates") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.hyperline.co/v1/taxes/rates") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "meta": { "total": 1, "taken": 1, "skipped": 0 }, "data": [ { "id": "taxr_YfiSnLIYORD9VN", "code": "STAND_VAT", "invoicing_entity_id": "ive_jerrb484RHn", "created_at": "2024-06-03T12:32:22Z", "updated_at": "2024-06-07T18:13:25Z", "type": "custom", "name": "VAT", "description": "Standard VAT", "country": "FR", "rate": 20 } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
0 <= x <= 100
x >= 0
Show child attributes
List of TaxRate.
Was this page helpful?